// toolbar.h : header file
//
#ifndef _TOOLBAR_H_
#define _TOOLBAR_H_

//#include "flttool.h"

/////////////////////////////////////////////////////////////////////////////
// CSuperToolBar window

class CSuperToolBar : public CFloatToolBar
{
// Construction
public:
	CSuperToolBar();
    BOOL CreateBar(CWnd * pParentWnd, const int nWhichWnd);

// Attributes
public:
/*
	enum {
	    BTN_MODULE = 0,
	    BTN_PREV_MODULE,
	    BTN_NEXT_MODULE,
	    BTN_LOAD,
	    BTN_SEARCH,
	    BTN_SRC_MODE,
	    BTN_MIX_MODE,
	    BTN_BUS_MODE,
	    BTN_INS_MODE,
	    BTN_BP,
	    BTN_GO,
	    BTN_HALT,
	    BTN_RESET,
	    BTN_STEPINTO,
	    BTN_STEPOVER,
	    BTN_STEPOUT,
	    BTN_TRACE_MIXED,
	    BTN_WATCH,
	    BTN_STATEMENT,
	    BTN_INST,
	    BTN_LOCAL_VAR,
	    BTN_FRAME1,
	    BTN_FRAMEn,
	    BTN_FRAME,
	    BTN_ADD_VAR,
	    BTN_DEL_VAR,
	    BTN_HELP,
	    BTN_ABOUT,
	    BTN_DIAGNOSIS,
	    BTN_GORUN,
	    BTN_MAP,
	    BTN_SHELL,
	    BTN_LISTSRC,
	    BTN_TRACE_TOGGLE,
	    BTN_SPA,
	    BTN_SRCHCOM,
	};
*/
// Operations
public:
	void UpdateMainToolBar();

// Implementation
public:
	virtual ~CSuperToolBar();

protected:
	// Generated message map functions
	//{{AFX_MSG(CSuperToolBar)
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
